# $Revision: 1.6 $, $Date: 2011/11/03 04:37:27 $
%define		status		stable
%define		pearname	Horde_Log
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Horde Logging library
Name:		php-horde-Horde_Log
Version:	1.1.2
Release:	1
License:	BSD
Group:		Development/Languages/PHP
Source0:	http://pear.horde.org/get/%{pearname}-%{version}.tgz
# Source0-md5:	59d263c5ac1cb93ae75275fdeaef8c63
URL:		https://github.com/horde/horde/tree/master/framework/Log/
BuildRequires:	php-channel(pear.horde.org)
BuildRequires:	php-packagexml2cl
BuildRequires:	php-pear-PEAR
BuildRequires:	php-pear-PEAR >= 1:1.7.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php-channel(pear.horde.org)
Requires:	php-horde-Horde_Constraint < 2.0.0
Requires:	php-horde-Horde_Exception < 2.0.0
Requires:	php-pear >= 4:1.3.6-2
Suggests:	php-dom
Suggests:	php-horde-Horde_Scribe
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	 pear(Horde/Scribe.*)

%description
Horde Logging package with configurable handlers, filters, and
formatting.

In PEAR status of this package is: %{status}.

%prep
%pear_package_setup

%build
packagexml2cl package.xml > ChangeLog

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc ChangeLog install.log
%doc optional-packages.txt
%{php_pear_dir}/.registry/.channel.*/*.reg
%{php_pear_dir}/Horde/Log.php
%{php_pear_dir}/Horde/Log

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-horde-Horde_Log.spec,v $
Revision 1.6  2011/11/03 04:37:27  glen
- up to 1.1.2

Revision 1.5  2011/09/15 19:58:08  glen
- updated to: 1.1.1

Revision 1.4  2011/07/31 11:01:24  glen
- up to 1.1.0

Revision 1.3  2011/05/03 05:26:46  glen
- use github url to package, as pear url is not specific

Revision 1.2  2011/04/11 07:44:32  glen
- Horde dir dep

Revision 1.1  2011/04/10 21:38:07  glen
- horde h4 pear packages
